# Generated from j1_template_mde-2018.4.36.gem by gem2rpm -*- rpm-spec -*-
%global gem_name j1_template_mde

Name: rubygem-%{gem_name}
Version: 2018.4.36
Release: 1%{?dist}
Summary: J1 Template MD Elements
License: MIT
URL: https://jekyll-one.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
J1 Template Material Design Elements (MDE) is a gem-based, clean, responsive
and fully featured template made for Jekyll - powered by Bootstrap V4.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/j1
%license %{gem_instdir}/LICENSE
%{gem_instdir}/_includes
%{gem_instdir}/_layouts
%{gem_instdir}/_sass
%{gem_instdir}/assets
%{gem_instdir}/exe
%{gem_libdir}
%{gem_instdir}/screenshot.png
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 2018.4.36-1
- Initial package
